Subject: RE: [Forces-protocol] Protocol Messages

From: "Khosravi, Hormuzd M" <[email-masked]>
Date: Fri, 16 Apr 2004 00:19:59 -0700

Hi Weiming,

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]] On Behalf Of
[email-masked]

To be hornest, I think we have some different ideas on how protocol
messages 
are arranged. The difference mainly lies in how detailedly we should
categorize 
the messages. I more tend to categorize the messages in more details,
seems 
Jamal likes less messages and Hormuzd is in the middle. Therefore, I
kindly 
suggest that we all propose our original thoughts first, then we work
together 
to summarize them. In this way, I think we may be not easy to leave
behind 
something but easy to see if the final conclusion include everything. By

discussion, we can also exclude things that we don't need. 

I'l first propose my idea (Hormuzd, pls believe I'm not pushing it, just
for 
easy discussion) and then try to understand Hormuzd's proposal. 

[HK] I don't really care at this point how the messages are categorized,
that's just a detail to me. What really intrigues me is some of your
comments below regarding the messages that I proposed. Most of the
messages are the same that you have proposed below, with slightly
different names. So I am a bit confused about your intent.

Anyways, as regards your proposal, I do think there might be too many
messages as you have stated. I personally prefer the middle ground and I
think that's prudent design for a base protocol. Having said that, I
will send another email, rearranging the categories as you like them and
may be adding some text to make it clear to you that we are essentially
talking about the same thing/message.

Regards 
Hormuzd

_______________________________________________
Forces-protocol mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/forces-protocol

---

From: "Weiming Wang" <[email-masked]>
Date: Fri, 16 Apr 2004 22:44:01 +0800

Hi Hormuzd,

[Weiming] I don't  think we only have differences in the names for many
messages. My comments on your proposal actually have pointed out the differences
between us and also the points where I can not quite understand.  Maybe your
followed clarification on some of the messages can help much. The intent for my
comments is just to try to better understand what you said and to point out the
difference between us.  I'm not sure if there is any misunderstanding on it.
Please believe that I also agree your proposal is a good start for the work, but
as Jamal said we just need to iron out more. [/Weiming]

Anyways, as regards your proposal, I do think there might be too many
messages as you have stated. I personally prefer the middle ground and I
think that's prudent design for a base protocol.

[Weiming] It's a very interesting issue to arrange more or less message types.
To have more message types is actually to let the 'Message Type' in the header
function more and let TLV simpler. On contrary, to use less message types is
actually to let tags in TLV do the subcategory work.  I prefer to use more
messages because I think it may be better to make full use of the message type
field in the header and to have clear protocol messages for users.  [/Weiming]

Having said that, I

[Weiming] That will be helpful for us to get more muture understanding. Actually
I also suggest, if convenient, Jamal also presents a list of messages with some
explanations. In this way, I think we can understand  each other more on what
the protocol should basically deal with. It will also be helpful for other issue
discussions such as on how we deal with PL<->TML and HA.  I'm sure after
specification of TML is separated from the PL, our main work is on the protocol
messages, and the discussion results will be reflected via the protocol messages
in the end .

BR
Weiming

---

From: Jamal Hadi Salim <[email-masked]>
Date: 16 Apr 2004 16:06:55 -0400

Can we start with the header and where we left off?
I am trying my best not to respond to any of the other messages
because i think it is important to start with the header.
Hormuzd or maybe it was Weiming i thought in the early days had capturd
these details. If not i can compile.

cheers,
jamal